%define module_name Syntax-Operator-ExistsOr
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/CBuilder.pm) perl(File/ShareDir.pm) perl(Module/Build.pm) perl(Test2/V0.pm) perl(XS/Parse/Infix.pm) perl(XS/Parse/Infix/Builder.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.03
Release: alt1
Summary: an infix operator sensitive to hash element existence
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PEVANS/%{module_name}-%{version}.tar.gz

%description
This module provides an infix operator that similar to the defined-or `//'
core perl operator, but which cares about hash element existence rather than
definedness.

Current stable versions of perl do not directly support custom infix
operators, but the ability was added in the 5.37.x development cycle and is
available from perl v5.37.7 onwards. The documentation of the XS::Parse::Infix manpage
describes the situation in more detail. This module is therefore *almost*
entirely useless on stable perl builds. While the regular parser does not
support custom infix operators, they are supported via `XS::Parse::Infix' and
hence the XS::Parse::Keyword manpage, and so custom keywords which attempt to parse
operator syntax may be able to use it.

This module does not provide wrapper functions for the operators, as their
inherent short-circuiting behaviour would appear confusing when expressed in
function-like syntax.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_archlib/S*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.03-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt2
- rebuild with perl 5.38

* Sun Jul 30 2023 Igor Vlasenko <viy@altlinux.org> 0.02-alt1
- updated by package builder

* Mon Jan 02 2023 Igor Vlasenko <viy@altlinux.org> 0.01-alt1
- initial import by package builder

